Subject: Re: bug#13524: Improving user experience for non-recursive builds

From: Peter Rosin <[email-masked]>
Date: Fri, 08 Feb 2013 10:11:24 +0100

On 2013-02-08 09:45, Peter Rosin wrote:
> Stefano Lattarini wrote:
>> Fine as well.  And of curse, if you want to speed thing up and have more
>> control on the final result, feel free to shepherd the pending patches to
>> the agreed form ;-) -- which if I'm not mistaken is:
>>
>>   - make the series consist of only two patches, one introducing the
>>     feature (complete with documentation and NEWS additions, plus your
>>     original test case), and one follow-up patch implementing my
>>     testsuite enhancement;
>>
>>   - use the '%...%' form, and prefer lower-case for long names (so,
>>     '%reldir%' a.k.a. '%D%' and '%canon-reldir%' a.k.a. '%C%').
> 
> Done. I didn't address the canonicalization concern raised by Miles. That
> seems like a bigger issue than this patch series. However, If that naming
> is changing, it must be done before this series lands in a released
> version, or we'll end up with bad comptibility hacks...

Errm, compatibility...

Forgot to ask, but should I push out this non-fast-forward to the
experimental/preproc branch?

That would be 'git checkout experimental/preproc' followed by
'git push -f origin', right? I did rewrite that branch locally
assuming the old branch was destined for the bin, but I have
never actually done such a rewind of upstream before...

Cheers,
Peter